summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-23 06:05:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-27 07:43:48 +0700
commit2283ec260d3c2cf0ec923124ee96f9e5a2c2c67d (patch)
tree318963fd54fb02bf00276e783cb92ef1ab77b267 /graphics
parentb69403dccc665c105dad51152fc39a9461187b5d (diff)
downloadslackbuilds-2283ec260d3c2cf0ec923124ee96f9e5a2c2c67d.tar.gz
slackbuilds-2283ec260d3c2cf0ec923124ee96f9e5a2c2c67d.tar.xz
graphics/PureRef: Added (Organize Image).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/PureRef/PureRef.SlackBuild65
-rw-r--r--graphics/PureRef/PureRef.info10
-rw-r--r--graphics/PureRef/README1
-rw-r--r--graphics/PureRef/doinst.sh13
-rw-r--r--graphics/PureRef/slack-desc19
5 files changed, 108 insertions, 0 deletions
diff --git a/graphics/PureRef/PureRef.SlackBuild b/graphics/PureRef/PureRef.SlackBuild
new file mode 100644
index 0000000000..4370461be6
--- /dev/null
+++ b/graphics/PureRef/PureRef.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for PureRef
+
+# Copyright 2018 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=PureRef
+VERSION=${VERSION:-1.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$( uname -m )" in
+ i?86) ARCH=i586 ; BASENAME=${BASENAME:-PureRef-1.9.2_x86} ;;
+ x86_64) ARCH=x86_64 ; BASENAME=${BASENAME:-PureRef-1.9.2_x64} ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+set -e
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/$BASENAME.deb data.tar.xz | tar xvJ
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Make sure top-level perms are correct:
+chmod 0755 .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/PureRef/PureRef.info b/graphics/PureRef/PureRef.info
new file mode 100644
index 0000000000..25001d855e
--- /dev/null
+++ b/graphics/PureRef/PureRef.info
@@ -0,0 +1,10 @@
+PRGNAM="PureRef"
+VERSION="1.9.2"
+HOMEPAGE="https://www.pureref.com"
+DOWNLOAD="https://sourceforge.net/projects/slackbuildsdirectlinks/files/PureRef/PureRef-1.9.2_x64.deb"
+MD5SUM="5863dc94c62a992aa1b627e207bee152"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/graphics/PureRef/README b/graphics/PureRef/README
new file mode 100644
index 0000000000..003e348834
--- /dev/null
+++ b/graphics/PureRef/README
@@ -0,0 +1 @@
+The simple way to view and organize your reference images.
diff --git a/graphics/PureRef/doinst.sh b/graphics/PureRef/doinst.sh
new file mode 100644
index 0000000000..9b51b160f6
--- /dev/null
+++ b/graphics/PureRef/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/PureRef/slack-desc b/graphics/PureRef/slack-desc
new file mode 100644
index 0000000000..6fd074ce44
--- /dev/null
+++ b/graphics/PureRef/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+PureRef: PureRef (Organize Image)
+PureRef:
+PureRef:
+PureRef: The simple way to view and organize your reference images.
+PureRef:
+PureRef:
+PureRef:
+PureRef:
+PureRef:
+PureRef: Homepage: https://www.pureref.com
+PureRef: